// let hostUrl = 'http://xinrenli.nyinhong.com', // 测试
let hostUrl = 'http://192.168.0.175:7001', // UAT
// // let hostUrl = 'https://pepsibdp.masterkong.com.cn', // prd

	api = '',
	// api = '/api',
	imgApi = '/admimage/';

// let hostUrl = '',
// 	api = '',
// 	imgApi = '/admimage/';

switch (process.env.UNI_BASE_ENV) {
	case 'development':
		hostUrl = process.env.UNI_BASE_URL;
		api = process.env.UNI_BASE_API;
		break;
	case 'uat':
		hostUrl = process.env.UNI_BASE_URL;
		api = process.env.UNI_BASE_API;
		break;
	case 'production':
		hostUrl = process.env.UNI_BASE_URL;
		api = process.env.UNI_BASE_API;
		break;
}

console.log(
	"config/index.js配置：",
	process.env.UNI_BASE_ENV,
	process.env.UNI_BASE_URL
);



// 基础配置
const apiBaseConfig = {
	// 微信小程序
	// #ifdef MP-WEIXIN

	domain: hostUrl + api,
	// upload: hostUrl + api + '/system/oss/upload',
	upload: hostUrl + api+'/xinrenli/file/upload',
	imgBgUrl: hostUrl + imgApi,
	// bWeChatAppid: 'wxb323afcbe152514f',
	bWeChatAppid: 'wx862d98c98e4fe97d',
	hygAPPID: 'wx626a1ea9888b0e0f',
	hygPATH: '/pages/bsChannel/login?channel=bs',
	hygType: 'release', // develop（开发版），trial（体验版），release（正式版）
	key: 'MBYBZ-KUS6R-ADMWU-WKZXF-ZBZIK-LJFH7', // 逆地址解析腾讯地图key
	url: 'https://apis.map.qq.com/ws/geocoder/v1/?location=location', // 逆地址解析腾讯官方逆解析接口
	//#endif
}

export default apiBaseConfig
